=== debian/changelog ===
vlc (1.1.4.1-1jolicloud0) robby; urgency=low

  * Package for Jolicloud.

 -- Andrew Stormont <andy@jolicloud.org>  Wed, 13 Oct 2010 13:38:48 +0200

vlc (1.1.4.1-1~lffl~lucid~ppa1) lucid; urgency=medium

  * New upstream release
  * Fix crash when closing rtsp streams
  
 -- Ferramosca Roberto <ferramroberto@gmail.com>  Sun, 26 Sep 2010 13:14:29 +0200

vlc (1.1.4-1~lffl~lucid~ppa1) lucid; urgency=medium

  * New upstream release

 -- Ferramosca Roberto <ferramroberto@gmail.com>  Fri, 27 Aug 2010 14:14:22 +0200
