=== debian/control ===
Source: vlc
Section: video
Priority: optional
Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
           Clément Stenac <zorglub@debian.org>,
           Loic Minier <lool@dooz.org>,
           Christophe Mutricy <xtophe@videolan.org>,
           Mohammed Adnène Trojette <adn+deb@diwi.org>,
           Benjamin Drung <bdrung@ubuntu.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper,
               dh-buildinfo,
               gettext,
               liba52-0.7.4-dev,
               libaa1-dev,
               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libass-dev,
               libavahi-client-dev,
               libavc1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libavcodec-dev,
               libavformat-dev,
               libcaca-dev (>= 0.99.beta4),
               libcddb2-dev,
               libcdio-dev,
               libdc1394-22-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], 
               libdca-dev,
               libdirac-dev,
               libdvbpsi-dev | libdvbpsi5-dev,
               libdvdnav-dev,
               libdvdread-dev,
               libfaad-dev,
               libflac-dev,
               libfluidsynth-dev,
               libfreetype6-dev,
               libfribidi-dev,
               libggi2-dev,
               libgl1-mesa-dev,
               libglib2.0-0,
               libgnutls-dev,
               libjack-dev,
               libkate-dev,
               liblircclient-dev,
               liblivemedia-dev,
               liblua5.1-0-dev,
               libmad0-dev,
               libmatroska-dev,
               libmodplug-dev,
               libmpcdec-dev,
               libmpeg2-4-dev,
               libmtp-dev,
               libncursesw5-dev,
               libnotify-dev,
               libogg-dev,
               libpng12-dev,
               libpostproc-dev,
               libproxy-dev,
               libpulse-dev,
               libqt4-dev,
               libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               librsvg2-dev,
               libschroedinger-dev (>= 1.0.7-1~),
               libsdl-image1.2-dev,
               libsdl1.2-dev (>= 1.2.7+1.2.8cvs20041007-5.3),
               libshout3-dev,
               libsmbclient-dev,
               libspeex-dev,
               libsvga1-dev [amd64 i386],
               libswscale-dev,
               libtag1-dev,
               libtar-dev,
               libtheora-dev,
               libtwolame-dev,
               libudev-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libupnp3-dev,
               libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libvcdinfo-dev,
               libvorbis-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb1-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-xv0-dev,
               libxext-dev,
               libxml2-dev,
               libxpm-dev,
               libxt-dev,
               libzvbi-dev,
               lua5.1,
               nasm,
               pkg-config,
               xulrunner-dev,
               yasm [amd64 kfreebsd-amd64],
               zlib1g-dev
Standards-Version: 3.9.1
Homepage: http://www.videolan.org/vlc/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/vlc.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/vlc.git;a=summary

Package: libvlc5
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: vlc (<< 0.8.6.c-6)
Description: multimedia player and streamer library
 This package contains the shared library required by applications using VLC
 features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: libvlc-dev
Section: libdevel
Architecture: any
Depends: libvlc5 (= ${binary:Version}),
         libvlccore-dev,
         pkg-config,
         ${misc:Depends}
Replaces: libvlc0-dev
Description: development files for libvlc
 This package contains headers and a static library required to build
 standalone applications that use VLC features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: libvlccore4
Section: libs
Architecture: any
Depends: vlc-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: base library for VLC and its modules
 This package contains the shared library required by VLC modules and libvlc.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: libvlccore-dev
Section: libdevel
Architecture: any
Depends: libvlccore4 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends}
Description: development files for libvlccore
 This package contains headers and a static library required to build plugins
 for VLC.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: mozilla-plugin-vlc
Architecture: any
Depends: vlc,
         vlc-nox (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: multimedia plugin for web browsers based on VLC
 This plugin adds support for MPEG, MPEG2, DVD, DivX, Ogg/Vorbis and many
 more formats to your Gecko-based web browser (Firefox, Galeon, etc.). The
 decoding process is done by VLC and the output window is embedded in a
 webpage or directly in the browser window. There is also support for
 fullscreen display and javascript control.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc
Architecture: any
Depends: ttf-freefont,
         vlc-nox (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: vlc-plugin-notify (= ${binary:Version}),
            vlc-plugin-pulse (= ${binary:Version})
Suggests: mozilla-plugin-vlc,
          videolan-doc
Breaks: vlc-nox (<< 1.1.2)
Replaces: vlc-nox (<< 1.1.2)
Provides: mp3-decoder
Description: multimedia player and streamer
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added
 by installing additional audio plugins (vlc-plugin-pulse, vlc-plugin-sdl)
 or video plugins (vlc-plugin-sdl, vlc-plugin-ggi, vlc-plugin-svgalib). There
 is also a web browser plugin in the mozilla-plugin-vlc package.

Package: vlc-data
Depends: ${misc:Depends}
Architecture: all
Replaces: mozilla-plugin-vlc (<< 0.9.2-1),
          vlc (<< 0.9.2-1),
          vlc-nox (<< 0.9.2-1)
Description: Common data for VLC
 Localisations, HTTP interface files, Lua scripts for VLC media player
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-dbg
Section: debug
Priority: extra
Architecture: any
Depends: vlc-nox (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for vlc
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.
 .
 This package contains the debugging symbols for vlc.

Package: vlc-nox
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: vlc (<< 1.0.4-2)
Provides: mp3-decoder
Description: multimedia player and streamer (without X support)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added
 by installing additional audio plugins (vlc-plugin-pulse, vlc-plugin-sdl,
 vlc-plugin-jack) or video plugins (vlc-plugin-sdl, vlc-plugin-ggi,
 vlc-plugin-svgalib). There is also a web browser plugin in  the
 mozilla-plugin-vlc package.
 .
 This package contains a version of VLC that does not require X and that is
 thus suitable for headless servers.

Package: vlc-plugin-fluidsynth
Architecture: any
Depends: vlc-nox (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: FluidSynth plugin for VLC
 This plugin adds support for playing MIDI file via the FluidSynth software
 synthesizer to the VLC media player.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-ggi
Architecture: any
Depends: vlc-nox,
         ${misc:Depends},
         ${shlibs:Depends}
Description: GGI video output plugin for VLC
 This is a GGI plugin for the VLC media player.  To activate it, use
 the `--vout ggi' flag or select the `ggi' video output plugin from the
 preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-jack
Architecture: any
Depends: vlc-nox (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Jack audio plugins for VLC
 These plugins add support for JACK to the VLC media player. To
 activate the audio output module, use the `--aout jack' flag or
 select the `jack' audio output plugin from the preferences menu.
 For the jack input, use `vlc jack://channels=...:ports=...'
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-notify
Architecture: any
Depends: vlc-nox (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: vlc-nox (<< 1.1.2)
Replaces: vlc-nox (<< 1.1.2)
Description: LibNotify plugin for VLC
 This plugin adds support for libnotify track change notification to the
 VLC media player.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-pulse
Architecture: any
Depends: vlc-nox (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: PulseAudio plugin for VLC
 This plugin adds support for PulseAudio to the VLC media player. To
